{% extends 'dashboard/base.html' %}

{% block styles %}
  {{super()}}

{% endblock %}

{% block scripts %}
  {{super()}}
  <script src="{{ url_for('static', filename='js/jquery.dataTables.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/dataTables.bootstrap4.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/datatables.js') }}"></script>
  <script>
    var events = JSON.parse('{{eventos|tojson|replace("\\", "\\\\")}}')
    var event_to_delete = Object()
    function sendEventToDialog(id){
      let modal = $("#deleteEventModal")
      event_to_delete = events.find(function(e){
        return e.id == id
      })

      document.getElementById("deleteEventModalLabel").innerHTML = 'Do you want delete ' +
                                                                      event_to_delete.name +
                                                                      ' from events?';
      modal.modal()
    }

    $('#deleteForm').submit(function(eventObj) {
      $(this).append('<input type="hidden" name="event_id" value="'+event_to_delete.id+'">')
    })

  </script>
{% endblock %}

{% block page_content %}
  <div class="card shadow mb-4">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
      <h6 class="m-0 font-weight-bold text-primary">Created Events</h6>
      <div class="dropdown no-arrow">
        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
          data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
        </a>
        <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
          aria-labelledby="dropdownMenuLink">
          <div class="dropdown-header">Actions</div>
          <a class="dropdown-item" href="{{url_for('events.new')}}">New</a>
        </div>
      </div>
    </div>
    <div class="card-body">
      <div class="table-responsive">
        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
          <thead>
            <tr>
              <th>Name</th>
              <th>Start</th>
              <th>End</th>
              <th></th>
            </tr>
          </thead>
          <tfoot>
            <tr>
              <th>Name</th>
              <th>Position</th>
              <th>Office</th>
              <th></th>
            </tr>
          </tfoot>
          <tbody>
            {% for evento in eventos %}
              <tr>
                <td>{{evento.titulo}}</td>
                <td>{{evento.starts}}</td>
                <td>{{evento.ends}}</td>
                <td>
                  <div class="row">

                    {% if not evento.publicado %}
                      <button
                        title="Corrigir"
                        style="background-color: transparent; border: none;"
                        onclick="window.location.href='./{{evento.id}}/{{evento.version}}/edit'">
                        <img width="24px" src="{{ url_for('static', filename='img/edit.png') }}">
                      </button>

                      <form action="./{{evento.id}}/{{evento.version}}/publish" method="POST">
                        <button class="btn btn-primary" type="submit">Publicar</button>
                      </form>
                    {% endif %}
                  </div>
                </td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <form id="deleteForm" action="./delete" method="POST">
    <div class="modal fade" id="deleteEventModal" tabindex="-1" role="dialog" aria-labelledby="deleteEventModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="deleteEventModalLabel"></h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <input  class="btn btn-primary" style="color: #f8f9fc;" type="submit" value="Delete"></input>
          </div>
        </div>
      </div>
    </div>
  </form>
{% endblock %}
